using MasterDevs.ChromeDevTools;
using Newtonsoft.Json;
using System.Collections.Generic;

namespace MasterDevs.ChromeDevTools.Protocol.Chrome.IndexedDB
{
	/// <summary>
	/// Deletes a database.
	/// </summary>
	[Command(ProtocolName.IndexedDB.DeleteDatabase)]
	[SupportedBy("Chrome")]
	public class DeleteDatabaseCommand: ICommand<DeleteDatabaseCommandResponse>
	{
		/// <summary>
		/// Gets or sets Security origin.
		/// </summary>
		public string SecurityOrigin { get; set; }
		/// <summary>
		/// Gets or sets Database name.
		/// </summary>
		public string DatabaseName { get; set; }
	}
}
